<div class="container-fluid ">
  <div class="flex-message-list-container">
    <!-- ..........search bar flex item ........ -->
    <div class="flex-item-search-bar">
      <div class="row">
        <div class="col-md-4 col-sm-4 col-xs 4">
          <div class="select-all-column">
            <input
              type="checkbox"
              id="selectCheckbox"
              name="selectAll"
              value="selectAll"
            />Select All <i class="fas fa-trash-alt mr-2 cursor-pointer"></i>
          </div>
        </div>
        <div class="col-md-4 col-sm-4 col-xs 4">
          <div class="input-group mb-3">
            <select class="select form-control" id="selectClient">
              <option selected>Select...</option>
              <option value="1">One</option>
              <option value="2">Two</option>
              <option value="3">Three</option>
            </select>
          </div>
        </div>
        <div class="col-md-3 col-sm-3 col-xs 3">
          <input type="text" class="form-control" placeholder="Location" />
        </div>
        <div class="col-md-1 col-sm-1 col-xs 1">
          <button type="button" class="btn btn-sm btn-primary">
            Search
          </button>
        </div>
      </div>
    </div>
    <!--........... search bar ends here.......... -->

    <div class="flex-item-messageList">
      <table class="table responsive">
        <thead>
          <tr>
            <th scope="col">Select</th>
            <th scope="col">Sender</th>
            <th scope="col">User</th>
            <th scope="col">Subject</th>
            <th scope="col">Date</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <th><input type="checkbox" /></th>
            <td>Mark</td>
            <td><span class="badge badge-pill badge-success">Admin</span></td>
            <td>@mdo</td>
            <td>May 22</td>
          </tr>
          <tr>
            <th><input type="checkbox" /></th>
            <td>Jacob</td>
            <td><span class="badge badge-pill badge-success">Client</span></td>
            <td>@fat</td>
            <td>May 23</td>
          </tr>
          <tr>
            <th><input type="checkbox" /></th>
            <td>Larry</td>
            <td><span class="badge badge-pill badge-success">Admin</span></td>
            <td>@twitter</td>
            <td>May 12</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
